Debian Bug report logs - #700289
wordpress 2.5.1 needs tinymce update

version graph

Package: wordpress; Maintainer for wordpress is Craig Small <csmall@debian.org>; Source for wordpress is src:wordpress.

Reported by: Jason Lingohr <jason@lucid.net.au>

Date: Mon, 11 Feb 2013 06:09:02 UTC

Severity: important

Found in version wordpress/3.5.1+dfsg-1

Fixed in version wordpress/3.5.1+dfsg-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#700289; Package wordpress. (Mon, 11 Feb 2013 06:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Lingohr <jason@lucid.net.au>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 11 Feb 2013 06:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Lingohr <jason@lucid.net.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wordpress 2.5.1 needs tinymce update
Date: Mon, 11 Feb 2013 16:57:23 +1100
Package: wordpress
Version: 3.5.1+dfsg-1
Severity: important

Hi, wanting to upgrade to Wordpress 2.5.1, I've installed the unstable
package.

Everything went fine, except tinymce would no longer work, spewing
forth a JS error thusly:

Uncaught TypeError: Cannot call method 'add' of undefined post-new.php:1286
(anonymous function) post-new.php:1286
(anonymous function) post-new.php:1316

I pulled down their official tarball, gutted their version of tinymce and
put it in /usr/share/wordpress/wp-includes/js/tinymce, and things work
fine again.

This essentially meant a tinymce upgrade from 3.4.8+dfsg0-1 to
tinymce-3.5.8-wp.


-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wordpress depends on:
ii  apache2               2.2.16-6+squeeze10 Apache HTTP Server metapackage
ii  apache2-mpm-prefork [ 2.2.16-6+squeeze10 Apache HTTP Server - traditional n
ii  dpkg                  1.15.8.13          Debian package management system
ii  libapache2-mod-php5   5.3.3-7+squeeze14  server-side, HTML-embedded scripti
ii  libjs-cropper         1.2.2-1            JavaScript image cropper UI
ii  libphp-phpmailer      5.1-1              full featured email transfer class
ii  libphp-snoopy         1.2.4-2            Snoopy is a PHP class that simulat
ii  mysql-client-5.1 [mys 5.1.63-0+squeeze1  MySQL database client binaries
ii  php5                  5.3.3-7+squeeze14  server-side, HTML-embedded scripti
ii  php5-gd               5.3.3-7+squeeze14  GD module for php5
ii  php5-mysql            5.3.3-7+squeeze14  MySQL module for php5
ii  tinymce               3.4.8+dfsg0-1      platform independent web based Jav

Versions of packages wordpress recommends:
ii  wordpress-l10n     3.3.2+dfsg-1~squeeze1 weblog manager - language files

Versions of packages wordpress suggests:
ii  mysql-server           5.1.63-0+squeeze1 MySQL database server (metapackage
ii  mysql-server-5.1 [mysq 5.1.63-0+squeeze1 MySQL database server binaries and

-- Configuration Files:
/etc/wordpress/htaccess changed:
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>


-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#700289; Package wordpress. (Mon, 11 Feb 2013 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikko Visa <mikko.visa@iki.fi>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 11 Feb 2013 09:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 700289@bugs.debian.org (full text, mbox):

From: Mikko Visa <mikko.visa@iki.fi>
To: Jason Lingohr <jason@lucid.net.au>, 700289@bugs.debian.org
Subject: Re: Bug#700289: wordpress 2.5.1 needs tinymce update
Date: Mon, 11 Feb 2013 11:04:11 +0200
I can confirm this problem. Running 30-40 blogs on Squeeze with
Wordpress 3.5.1 from unstable  (and tinymce) and at least some of the
blogs are affected by this. Some work though, don't know why. Have
tested the usual plugin-disabling, setting CONCATENATE_SCRIPTS false
but with no help so far.

On Mon, Feb 11, 2013 at 7:57 AM, Jason Lingohr <jason@lucid.net.au> wrote:
> Package: wordpress
> Version: 3.5.1+dfsg-1
> Severity: important
>
> Hi, wanting to upgrade to Wordpress 2.5.1, I've installed the unstable
> package.
>
> Everything went fine, except tinymce would no longer work, spewing
> forth a JS error thusly:
>
> Uncaught TypeError: Cannot call method 'add' of undefined post-new.php:1286
> (anonymous function) post-new.php:1286
> (anonymous function) post-new.php:1316
>
> I pulled down their official tarball, gutted their version of tinymce and
> put it in /usr/share/wordpress/wp-includes/js/tinymce, and things work
> fine again.
>
> This essentially meant a tinymce upgrade from 3.4.8+dfsg0-1 to
> tinymce-3.5.8-wp.
>
>
> -- System Information:
> Debian Release: 6.0.5
>   APT prefers stable
>   APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/1 CPU core)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages wordpress depends on:
> ii  apache2               2.2.16-6+squeeze10 Apache HTTP Server metapackage
> ii  apache2-mpm-prefork [ 2.2.16-6+squeeze10 Apache HTTP Server - traditional n
> ii  dpkg                  1.15.8.13          Debian package management system
> ii  libapache2-mod-php5   5.3.3-7+squeeze14  server-side, HTML-embedded scripti
> ii  libjs-cropper         1.2.2-1            JavaScript image cropper UI
> ii  libphp-phpmailer      5.1-1              full featured email transfer class
> ii  libphp-snoopy         1.2.4-2            Snoopy is a PHP class that simulat
> ii  mysql-client-5.1 [mys 5.1.63-0+squeeze1  MySQL database client binaries
> ii  php5                  5.3.3-7+squeeze14  server-side, HTML-embedded scripti
> ii  php5-gd               5.3.3-7+squeeze14  GD module for php5
> ii  php5-mysql            5.3.3-7+squeeze14  MySQL module for php5
> ii  tinymce               3.4.8+dfsg0-1      platform independent web based Jav
>
> Versions of packages wordpress recommends:
> ii  wordpress-l10n     3.3.2+dfsg-1~squeeze1 weblog manager - language files
>
> Versions of packages wordpress suggests:
> ii  mysql-server           5.1.63-0+squeeze1 MySQL database server (metapackage
> ii  mysql-server-5.1 [mysq 5.1.63-0+squeeze1 MySQL database server binaries and
>
> -- Configuration Files:
> /etc/wordpress/htaccess changed:
> <IfModule mod_rewrite.c>
> RewriteEngine On
> RewriteBase /
> RewriteRule ^index\.php$ - [L]
> RewriteCond %{REQUEST_FILENAME} !-f
> RewriteCond %{REQUEST_FILENAME} !-d
> RewriteRule . /index.php [L]
> </IfModule>
>
>
> -- no debconf information
>



--
Mikko Visa - mikko.visa@iki.fi - 050-5469775



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#700289; Package wordpress. (Mon, 11 Feb 2013 09:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Lingohr <jason@lucid.net.au>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 11 Feb 2013 09:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 700289@bugs.debian.org (full text, mbox):

From: Jason Lingohr <jason@lucid.net.au>
To: Mikko Visa <mikko.visa@iki.fi>,700289@bugs.debian.org
Subject: Re: Bug#700289: wordpress 2.5.1 needs tinymce update
Date: Mon, 11 Feb 2013 20:16:54 +1100
[Message part 1 (text/plain, inline)]
I forgot to mention that - I too did all the usual plugin disabling and #define voodoo that WP suggest. 
.
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 13:03:06 GMT) Full text and rfc822 format available.

Message sent on to Jason Lingohr <jason@lucid.net.au>:
Bug#700289. (Mon, 11 Feb 2013 13:03:17 GMT) Full text and rfc822 format available.

Message #20 received at 700289-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 700289-submitter@bugs.debian.org
Subject: Bug#700289 marked as pending
Date: Mon, 11 Feb 2013 12:59:05 +0000
tag 700289 pending
thanks

Hello,

Bug #700289 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/wordpress.git;a=commitdiff;h=688d34c

---
commit 688d34c65e31f47590deacff18f7faad4ddf030a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Feb 11 11:29:09 2013 +0100

    Only replace tinymce files by symlinks if the content is exactly the same. Closes: #700289

diff --git a/debian/changelog b/debian/changelog
index 837e51b..55ea1c8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+wordpress (3.5.1+dfsg-2) UNRELEASED; urgency=low
+
+  * Only replace tinymce files by symlinks if the content is exactly the same.
+    Closes: #700289
+
+ -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Feb 2013 11:28:00 +0100
+
 wordpress (3.5.1+dfsg-1) unstable; urgency=low
 
   * New upstream maintenance and security release. Closes: #698916



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Mon, 11 Feb 2013 13:21:08 GMT) Full text and rfc822 format available.

Notification sent to Jason Lingohr <jason@lucid.net.au>:
Bug acknowledged by developer. (Mon, 11 Feb 2013 13:21:08 GMT) Full text and rfc822 format available.

Message #25 received at 700289-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 700289-close@bugs.debian.org
Subject: Bug#700289: fixed in wordpress 3.5.1+dfsg-2
Date: Mon, 11 Feb 2013 13:17:43 +0000
Source: wordpress
Source-Version: 3.5.1+dfsg-2

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700289@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 11 Feb 2013 13:56:18 +0100
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.5.1+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 697208 700289
Changes: 
 wordpress (3.5.1+dfsg-2) unstable; urgency=low
 .
   * Only replace tinymce files by symlinks if the content is exactly the same.
     Closes: #700289
   * Update debian/get-upstream-i18n to include supplementary PO files
     and use a more efficient method to update them. Closes: #697208
Checksums-Sha1: 
 2fb839bd19e9909e7e8578a282353260fbe30ee4 2332 wordpress_3.5.1+dfsg-2.dsc
 d3b24e278631f5d1bd42803374767b737e53646a 5257496 wordpress_3.5.1+dfsg-2.debian.tar.xz
 83478a2fa9725ceff2872e5b26c4b32239ecdbea 4962216 wordpress_3.5.1+dfsg-2_all.deb
 af31e8e5f8222accdb50bb9b8cd53a4df5efc891 8819100 wordpress-l10n_3.5.1+dfsg-2_all.deb
Checksums-Sha256: 
 d8ced5b550f338e194855bb17c1fac4b9848ddaa4a5daac573de1ff45703ab0a 2332 wordpress_3.5.1+dfsg-2.dsc
 a157375f447ff84dd44c4645e117ee1f53a761baa3dd1c23f16d9d1dcc6ae7cd 5257496 wordpress_3.5.1+dfsg-2.debian.tar.xz
 7a71f5b478e0452973e8c3a40333f70941df3c6ab3fbd3c309374ac31d497453 4962216 wordpress_3.5.1+dfsg-2_all.deb
 d53d2bbf25858519f96dfb525676f6b41b406c6305c8b62ac92dc9daf21e1fb9 8819100 wordpress-l10n_3.5.1+dfsg-2_all.deb
Files: 
 7aaa16c7810022e687b2468d10d4f21c 2332 web optional wordpress_3.5.1+dfsg-2.dsc
 0884a5f612cccb6cc05de5ff6566b0c1 5257496 web optional wordpress_3.5.1+dfsg-2.debian.tar.xz
 1ffa5f541b2a3ddc30668d1103343127 4962216 web optional wordpress_3.5.1+dfsg-2_all.deb
 b5e626728b25e55c58346d26446475ca 8819100 localization optional wordpress-l10n_3.5.1+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJRGOtLAAoJEOYZBF3yrHKacs0P/iZZdg19PjJ8mBLnFk83l/Ib
BXer3leu+qMFA8BKKbHv94BXRiF+Drj+vnhkazTIextVcflcR5xIJgQmyVcG2IuG
xBHDXim02x4JyCS8+hzL0B3tlsGT12PRHUXnnQFdqrmKSY/olH7VBu8Zy3PSsh3s
sY1l/OdAPNzvYC89WFrMhH7j8Dsr4S9hUmL2idZBB//26EuFC5Gl2jWwERvLwkd5
KIxZ6ZoB8W/zvu66DKX8/Yqk9jM1tZdjkGolY0DJXp47bPgYoKtVnayBCq+VPvQB
wjHmPXSe/TUOZ+wb1DfdadA/Z1LAwnNZmIfFPAaxqUJH+dpFWy/TPLFLQ+JYyUY3
Tn14CXPuRFDOov0jMtjBsaAv9rfVa5iZdqt2RA1mDttt6mNHlA2zBredO/NvB/aD
o8UVmKxNNcqozWdM0Qv7ghxwgwKMR/v3U+wZ6TYiA1VDKcfoEQXY8Xd8DatB/MkM
q4T0/S5kqJwAIORAvboXJZTfvEDjsiJV9PgJDsng58ANsz2gsW38zZXBiOWP/JUg
Uiks0e+uexDDAUw3nqtUlQg0tWwyjLXcGv7uPiKvrkUiYM9Flzt2Gf1t29XTSWCi
ahm4a14ztIQ7Qx04UNjej48hq3bafIck6RufbVyxkQymfjZQQcZ93fzc2T9AcgVv
zDUyn38SPHibA4j0Sc+P
=W4BR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Mar 2013 07:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:19:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.